Bug 235928 - [iOS] Don't register undo actions in undoManager overridden by WKWebView client
Summary: [iOS] Don't register undo actions in undoManager overridden by WKWebView client
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-01-31 16:58 PST by Matt Gilligan
Modified: 2022-02-04 13:50 PST (History)
6 users (show)

See Also:


Attachments
Patch (2.15 KB, patch)
2022-01-31 17:23 PST, Matt Gilligan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Gilligan 2022-01-31 16:58:27 PST
<rdar://problem/87192657>
Comment 1 Matt Gilligan 2022-01-31 17:23:21 PST
Created attachment 450481 [details]
Patch
Comment 2 EWS 2022-01-31 18:44:20 PST
Committed r288864 (246616@main): <https://commits.webkit.org/246616@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 450481 [details].
Comment 3 Darin Adler 2022-02-03 04:14:58 PST
Comment on attachment 450481 [details]
Patch

These kinds of bug fixes need tests so we don’t just re-break them later.
Comment 4 Matt Gilligan 2022-02-04 13:50:15 PST
Added a patch for a test in https://bugs.webkit.org/show_bug.cgi?id=236152